Skip to content

RegisterRequest

@blobs/sdk v0.1.0


@blobs/sdk / types/Auth / RegisterRequest

Defined in: types/Auth.ts:50

Payload for POST /auth/register.

All three fields are required. Email must be unique within the network and username must be unique globally.

Properties

email

email: string

Defined in: types/Auth.ts:52

Email address for the new account.


username

username: string

Defined in: types/Auth.ts:54

Desired username (handle).


password

password: string

Defined in: types/Auth.ts:56

Plaintext password. Must satisfy backend strength requirements.